DevToolPal
IT

Verifica sintassi indirizzi email

Controlla la sintassi di uno o più indirizzi email, trova errori di battitura comuni nei domini e rimuovi i duplicati. Solo controllo del formato, nessuna verifica della casella.

Eseguito in locale, mai caricato

Opzioni

Mostra

Indirizzi email (uno per riga)

0 caratteri · 0 B

Controllo sintassi

Il risultato apparirà qui

Cosa fa

Questo strumento verifica che gli indirizzi email siano scritti correttamente. Incolla un indirizzo o un intero elenco e ognuno viene segnato come valido o non valido con il motivo, ad esempio una @ mancante, due punti di fila, un dominio senza punto o un carattere non ammesso. È utile per ripulire una mailing list prima di un’importazione, controllare le regole di validazione di un form o trovare l’unica riga difettosa in un export CSV.

Controlla solo il formato. Non contatta alcun server di posta, quindi non può dirti se la casella esiste o accetta messaggi.

Come si usa

  1. Incolla gli indirizzi nel riquadro di input, uno per riga. Anche virgole e punti e virgola funzionano come separatori, quindi puoi incollare direttamente una riga A:.
  2. I risultati compaiono mentre scrivi, con un riepilogo di quanti indirizzi sono validi e non validi.
  3. Usa Mostra per elencare tutti gli indirizzi, solo quelli validi o solo quelli non validi. Rimuovi duplicati elimina le ripetizioni; il dominio viene confrontato senza distinguere maiuscole e minuscole.
  4. Premi Copia validi per copiare l’elenco pulito, un indirizzo per riga.

Vengono gestiti anche i nomi visualizzati: Bob Smith <bob@example.com> viene controllato come bob@example.com, con una nota che indica che il nome è stato rimosso.

Cosa viene controllato

  • Esattamente una @ (fuori dalle virgolette), con qualcosa su entrambi i lati.
  • L’indirizzo completo è lungo al massimo 254 caratteri e la parte prima della @ al massimo 64.
  • La parte locale usa caratteri ammessi, senza punti iniziali, finali o doppi. Le parti locali tra virgolette come "john doe"@example.org sono ammesse con un avviso.
  • Il dominio ha almeno due etichette, ciascuna di 1–63 caratteri tra lettere, cifre e trattini, che non iniziano né finiscono con un trattino, e un dominio di primo livello plausibile. I letterali IP come admin@[192.168.0.1] sono ammessi con un avviso.
  • Gli errori di battitura comuni nei domini più diffusi, come gmial.com o qq.con, ricevono un suggerimento “forse intendevi”.

Esempio

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

Domande frequenti

› Verifica se la casella di posta esiste?

No. È solo un controllo della sintassi. Non cerca i server di posta del dominio e non li contatta, quindi un indirizzo può superare il controllo qui e tornare comunque indietro. Per confermare una casella serve un server, e l'unica prova affidabile è inviare un'email di conferma.

› Gli indirizzi vengono caricati?

No. Ogni controllo avviene nel tuo browser, quindi le tue mailing list non lasciano mai il tuo dispositivo.

› Quali regole segue?

La sintassi degli indirizzi delle RFC 5321 e RFC 5322, più gli indirizzi internazionalizzati della RFC 6531. Le forme obsolete come i commenti dentro gli indirizzi vengono rifiutate, perché quasi nessun sistema di posta le accetta.

› Perché un indirizzo valido è segnato con un avviso?

Alcuni indirizzi sono legali ma rischiosi: un probabile errore di battitura come gmial.com, un indirizzo IP al posto del dominio, una parte locale tra virgolette o caratteri non ASCII che alcuni server rifiutano. L'indirizzo conta comunque come valido.